namespace StoredProcWaApi.DataRepository.Helper
{
     /// <summary>
     /// CRUD operations.  Create, Retrieve, Update, Delete.
     /// </summary>
    internal enum DatabaseOperationType
    {
        /// <summary>
        /// Creates or Inserts a new record
        /// </summary>
        Create,

        /// <summary>
        /// Retrieves a DataTable
        /// </summary>
        RetrieveDataTable,

        /// <summary>
        /// Updates an existing record
        /// </summary>
        Update,

        /// <summary>
        /// Deletes an existing record
        /// </summary>
        Delete,
    }
}
