using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Threading.Tasks;
namespace StoredProcWaApi.Models
{
     /// <summary>
     /// Works like the Base class for Category model class.
     /// ************************************* Do not make changes to this class *************************************
     /// ** Put your additional code in the Category model class under the Models folder. **
     /// *************************************************************************************************************
     /// </summary>
     public partial class Category
     {
         /// <summary>
         /// Gets or Sets CategoryID
         /// </summary>
         [Display(Name = "Category ID")]
         public int CategoryID { get; set; } 

         /// <summary>
         /// Gets or Sets CategoryName
         /// </summary>
         [Required(ErrorMessage = "{0} is required!")]
         [StringLength(15, ErrorMessage = "{0} must be a maximum of {1} characters long!")]
         [Display(Name = "Category Name")]
         public string CategoryName { get; set; } 

         /// <summary>
         /// Gets or Sets Description
         /// </summary>
         [Display(Name = "Description")]
         public string Description { get; set; } 

     }
}
