using System;
using StoredProcWaApi.Domain;
using System.Collections.Generic;

namespace StoredProcWaApi.ViewModels
{ 
     /// <summary>
     /// Works like the Base class for SupplierViewModel.
     /// ************************************* Do not make changes to this class *************************************
     /// ** Put your additional code in the SupplierViewModel class under the ViewModel folder. **
     /// *************************************************************************************************************
     /// </summary>
     public partial class SupplierViewModel
     { 
         /// <summary>
         /// The model used by the MVC view
         /// </summary>
         public StoredProcWaApi.Models.Supplier Supplier { get; set; }

         /// <summary>
         /// Add new record or Update existing record
         /// </summary>
         public CrudOperation Operation { get; set; }

         /// <summary>
         /// Controller Name used by the MVC view
         /// </summary>
         public string ViewControllerName { get; set; }

         /// <summary>
         /// Action Name used by the MVC view
         /// </summary>
         public string ViewActionName { get; set; }

         /// <summary>
         /// URL where the current MVC view redirects to after the operation.
         /// </summary>
         public string ViewReturnUrl { get; set; }
     } 
} 
