using StoredProcWaApi.Models;
using StoredProcWaApi.BusinessLayer;
using System.Collections.Generic;

namespace StoredProcWaApi.ViewModels
{ 
     /// <summary>
     /// Works like the Base class for ProductForeachViewModel
     /// ************************************* Do not make changes to this class *************************************
     /// ** Put your additional code in the ProductForeachViewModel class under the ViewModels/Foreach folder. **
     /// *************************************************************************************************************
     /// </summary>
     public partial class ProductForeachViewModel
     { 
         public List<Product> ProductData { get; set; }
         public string[,] ProductFieldNames { get; set; }
         public string FieldToSort { get; set; }
         public string FieldToSortWithOrder { get; set; }
         public string FieldSortOrder { get; set; }
         public int StartPage { get; set; }
         public int EndPage { get; set; }
         public int CurrentPage { get; set; }
         public int NumberOfPagesToShow { get; set; }
         public int TotalPages { get; set; }
         public List<string> UnsortableFields { get; set; }
     } 
} 
